@charset "UTF-8";

.content-wrapper .header {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #832a2c;
}

.content-wrapper .header h2 {
  font-weight: 700;
  font-size: 36px;
}

.content-wrapper .header .en {
  font-size: 20px;
  font-family: 'Times New Roman', Times, serif;
}

.content-wrapper .quick-search {
  display: flex;
  align-items: center;
  margin-top: 30px;
  background-color: #e9f6f9;
  padding: 20px 30px;
  margin-bottom: 40px;
}

.content-wrapper .quick-search .left {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}

.content-wrapper .quick-search .left img {
  margin-right: 20px;
  width: 60px;
}

.content-wrapper .quick-search .left .title .all {
  margin-top: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 30px;
  cursor: pointer;
  background-color: #ccc;
  font-size: 16px;
  line-height: 1;
}

.content-wrapper .quick-search .left .title .all.active {
  background-color: #158b8d;
  color: #fff;
}

.content-wrapper .quick-search .key-list {
  margin-left: 20px;
  flex-wrap: wrap;
  display: flex;
}

.content-wrapper .quick-search .key-list .key {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 8px;
  font-size: 18px;
  margin-right: 8px;
  width: 25px;
  height: 25px;
  background-color: #ccc;
  border-radius: 50%;
  line-height: 1;
  cursor: pointer;
}

.content-wrapper .quick-search .key-list .key.active,
.content-wrapper .quick-search .key-list .key:hover {
  background-color: #158b8d;
  color: #fff;
}

.content-wrapper .quick-search .key-list .key.last-child {
  margin-right: 0;
}

.content-wrapper .department-wrapper .department .title {
  margin-top: 40px;
  padding-left: 20px;
  border-left: 3px solid #ae7e5a;
  font-size: 24px;
  font-weight: 700;
  line-height: 1;
}

.content-wrapper .department-wrapper .department .department-list {
  display: flex;
  flex-wrap: wrap;
  margin: -10px;
  margin-top: 30px;
}

.content-wrapper .department-wrapper .department .department-list .item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 30px 20px;
  width: calc(25% - 20px);
  align-items: center;
  margin: 10px;
  transition: all 0.5s ease;
}

.content-wrapper .department-wrapper .department .department-list .item:nth-child(odd) {
  background-color: #f5f5f5;
}

.content-wrapper .department-wrapper .department .department-list .item:nth-child(even) {
  background-color: #e6e6e6;
}

.content-wrapper .department-wrapper .department .department-list .item .department-name {
  font-size: 24px;
  margin-bottom: 20px;
}

.content-wrapper .department-wrapper .department .department-list .item .desc {
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;
}

.content-wrapper .department-wrapper .department .department-list .item:hover {
  background-image: none;
}

.content-wrapper .department-wrapper .department .department-list .item:hover .link a {
  transform: translateY(0);
}

.content-wrapper .department-wrapper .department .department-list .item .link {
  display: flex;
  margin-top: 20px;
  overflow: hidden;
}

.content-wrapper .department-wrapper .department .department-list .item .link a {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
  height: 40px;
  font-size: 18px;
  color: #fff;
  background-color: #832a2c;
  transform: translateY(90%);
  transition: all 0.5s ease;
}

@media (max-width: 980px) {
  .content-wrapper .header {
    margin-top: 5vw;
  }

  .content-wrapper .header h2 {
    font-size: 7vw;
  }

  .content-wrapper .header .en {
    font-size: 6vw;
  }

  .content-wrapper .quick-search {
    flex-direction: column;
    align-items: flex-start;
    width: 100%;
    margin-top: 6vw;
    padding: 5vw;
    margin-bottom: 8vw;
  }

  .content-wrapper .quick-search .left {
    width: 100%;
  }

  .content-wrapper .quick-search .left .title {
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    font-size: 5vw;
  }

  .content-wrapper .quick-search .left .title .en {
    display: none;
  }

  .content-wrapper .quick-search .left .title .all {
    position: absolute;
    right: 0;
    padding: 0 5vw;
    height: 8vw;
    font-size: 4.5vw;
    margin-top: 1vw;
  }

  .content-wrapper .quick-search .left img {
    margin-right: 4vw;
    width: 14vw;
  }

  .content-wrapper .quick-search .key-list {
    margin-top: 3vw;
    margin-left: 0;
  }

  .content-wrapper .quick-search .key-list .key {
    font-size: 5vw;
    width: 8vw;
    height: 8vw;
    margin-bottom: 1.5vw;
  }

  .content-wrapper .department-wrapper .department .title {
    margin-top: 5vw;
    padding-left: 3vw;
    border-left-width: 1vw;
    font-size: 5vw;
  }

  .content-wrapper .department-wrapper .department .department-list {
    margin: -1vw;
    margin-top: 4vw;
  }

  .content-wrapper .department-wrapper .department .department-list .item {
    padding: 4vw 3vw;
    width: calc(50% - 2vw);
    margin: 1vw;
  }

  .content-wrapper .department-wrapper .department .department-list .item .department-name {
    font-size: 5vw;
    margin-bottom: 2vw;
  }

  .content-wrapper .department-wrapper .department .department-list .item .desc {
    display: none;
    font-size: 4vw;
  }

  .content-wrapper .department-wrapper .department .department-list .item .link {
    margin-top: 3vw;
  }

  .content-wrapper .department-wrapper .department .department-list .item .link a {
    transform: translateY(0);
    padding: 0 4vw;
    height: 8vw;
    font-size: 4vw;
  }
}